Bug 44640 - Add tests for the umc using selenium
Add tests for the umc using selenium
Status: CLOSED FIXED
Product: UCS Test
Classification: Unclassified
Component: UMC
unspecified
Other Linux
: P5 normal (vote)
: ---
Assigned To: Florian Best
Richard Ulmer
:
Depends on: 44882 44981 45047 44854 44892 44934
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-19 10:20 CEST by Richard Ulmer
Modified: 2019-02-28 16:14 CET (History)
2 users (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted (downgraded) after PO Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Ulmer univentionstaff 2017-05-19 10:20:40 CEST
To test the umc-gui there should be automatic tests.

Also automate the taking of screenshots for the manuals.
Comment 1 Richard Ulmer univentionstaff 2017-06-19 12:24:34 CEST
Some existing code for the selenium-tests have been merged to ucs-4.2/ucs-4.2-x/test/ucs-test/univention/testing/umc_selenium.py .

I've also written some first screenshot-taking tests, which are located at ucs-4.2/ucs-4.2-x/test/ucs-test/tests/90_umc-screenshots/ . They seem to work quite reliably, but it takes quite some manual tweaking to get some tests running properly. Also some screenshots are not producible and some are very laborious to create and probably not future-proof with selenium.

There is also the script ucs-4.2/ucs-4.2-x/test/ucs-test/tests/90_umc-screenshots/change_names_and_add_shadows.sh, which changes the name of all images needed for the manual and adds shadows to some of the images.
Comment 2 Richard Ulmer univentionstaff 2017-06-23 15:16:28 CEST
I've now also covered a first product test with selenium. It can be found under test/ucs-test/tests/86_umc/10_product_test_password_change .
Comment 3 Felix Botner univentionstaff 2017-08-28 09:59:13 CEST
ucs-test r82376 added a ucs-test-selenium package with a dependency to python-selenium. As ucs-test depends on all test module and python-selenium is not available in UCS 4.2-1, the installation of ucs-test fails and so our daily jenkins tests.

See 

http://jenkins.knut.univention.de:8080/job/UCS-4.2/job/UCS-4.2-1/job/AutotestJoin/

Please either make python-selenium available or remove ucs-test-selenium.
Comment 4 Florian Best univentionstaff 2017-08-28 11:29:24 CEST
Should be fixed with:
ucs-test (7.0.23-34):
r82499 | Bug #44640: ucs-test-selenium doesn't provide ucs-test-module anymore
Comment 6 Florian Best univentionstaff 2018-01-12 11:20:36 CET
The basis is working and running every day in Jenkins now.